Skip to main content

Update Supplier

Endpoint: PUT /suppliers/{id}

Authentication: Bearer Token (required)

Path Parameters

NameTypeRequiredDescription
idstringYesUUID of the supplier to update

Headers

NameTypeRequiredDescription
AuthorizationstringYesBearer token for authentication. Format: Bearer <token>
Content-TypestringYesMust be application/json

Request Body

The request body must be a JSON object with the following structure:

FieldTypeRequiredDescription
namestringYesName of the supplier (e.g., "Supplier B")
phonestringNoPhone number of the supplier (e.g., "263773591219")
emailstringNoEmail address of the supplier (e.g., "vusakhoza@gmail.com")
registrationIdstringNoBusiness registration or tax ID of the supplier (e.g., "082095363P41")
companyIdStringstringYesUUID of the company that this supplier belongs to

Example Request Body

{
"name": "Supplier B",
"phone": "263773591219",
"email": "vusakhoza@gmail.com",
"registrationId": "082095363P41",
"companyIdString": "f5506f1d-3959-41cb-bd7b-c878c34f5a72"
}